Package org.apache.felix.http.base.internal.registry

## Enum MappingType

- java.lang.Object
- - java.lang.Enum<MappingType>
  - - org.apache.felix.http.base.internal.registry.MappingType

All Implemented Interfaces:
  `Serializable`, `Comparable<MappingType>`

    public enum MappingType
    extends Enum<MappingType>

### Enum Constant Summary

Enum Constants
`CONTEXT_ROOT`
`DEFAULT`
`EXACT`
`EXTENSION`
`PATH`

### Method Summary

All Methods Static Methods Concrete Methods
`static MappingType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static MappingType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONTEXT_ROOT

    public static final MappingType CONTEXT_ROOT

#### DEFAULT

    public static final MappingType DEFAULT

#### EXACT

    public static final MappingType EXACT

#### EXTENSION

    public static final MappingType EXTENSION

#### PATH

    public static final MappingType PATH

### Method Detail

#### values

    public static MappingType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MappingType c : MappingType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MappingType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null